<html>
<head>
<title>OGRE: Ogre::ProgressiveMesh::PMTriangle Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ProgressiveMesh.html">ProgressiveMesh</a>::<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html">PMTriangle</a></div>
<h1>Ogre::ProgressiveMesh::PMTriangle Class Reference</h1><!-- doxytag: class="Ogre::ProgressiveMesh::PMTriangle" -->A triangle in the progressive mesh, holds extra info like face normal.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ProgressiveMesh_1_1PMTriangle-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#00b03986f488e08e5407a34730e9e636">PMTriangle</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#03c1e6d2ab8952e54ba1fa8f380608e3">setDetails</a> (size_t <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#03f366aaa28888aa806556d2bb44e33a">index</a>, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *v0, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *v1, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *v2)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#0c162d851e98d73f99094b1209bbeed6">computeNormal</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#0776fae3db3e24d35bca952a06d9e3f5">replaceVertex</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *vold, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *vnew)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#baeb5205525a68c74bd187d6730983af">hasCommonVertex</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *v) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#4ce7b46ec209110f5202afbf784785f6">hasFaceVertex</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *v) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#f9a0bede611195a922ebc4a3f1b67c9a">getFaceVertexFromCommon</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *commonVert)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#ad9df6c18f56840e29195a7423dcf095">notifyRemoved</a> (void)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#e1ae521198beb805fa9e29135898c9f7">vertex</a> [3]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#2965fa7602c835772a2737c9fb5c5854">normal</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#5213866374d631850c409eabcbd94fb3">removed</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#03f366aaa28888aa806556d2bb44e33a">index</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A triangle in the progressive mesh, holds extra info like face normal. 
<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00136">136</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="00b03986f488e08e5407a34730e9e636"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::PMTriangle" ref="00b03986f488e08e5407a34730e9e636" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ProgressiveMesh::PMTriangle::PMTriangle           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="03c1e6d2ab8952e54ba1fa8f380608e3"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::setDetails" ref="03c1e6d2ab8952e54ba1fa8f380608e3" args="(size_t index, PMFaceVertex *v0, PMFaceVertex *v1, PMFaceVertex *v2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ProgressiveMesh::PMTriangle::setDetails           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>v0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>v1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>v2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0c162d851e98d73f99094b1209bbeed6"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::computeNormal" ref="0c162d851e98d73f99094b1209bbeed6" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ProgressiveMesh::PMTriangle::computeNormal           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0776fae3db3e24d35bca952a06d9e3f5"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::replaceVertex" ref="0776fae3db3e24d35bca952a06d9e3f5" args="(PMFaceVertex *vold, PMFaceVertex *vnew)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ProgressiveMesh::PMTriangle::replaceVertex           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>vold</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>vnew</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="baeb5205525a68c74bd187d6730983af"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::hasCommonVertex" ref="baeb5205525a68c74bd187d6730983af" args="(PMVertex *v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ProgressiveMesh::PMTriangle::hasCommonVertex           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>v</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4ce7b46ec209110f5202afbf784785f6"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::hasFaceVertex" ref="4ce7b46ec209110f5202afbf784785f6" args="(PMFaceVertex *v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ProgressiveMesh::PMTriangle::hasFaceVertex           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>v</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f9a0bede611195a922ebc4a3f1b67c9a"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::getFaceVertexFromCommon" ref="f9a0bede611195a922ebc4a3f1b67c9a" args="(PMVertex *commonVert)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a>* Ogre::ProgressiveMesh::PMTriangle::getFaceVertexFromCommon           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&nbsp;</td>
          <td class="paramname"> <em>commonVert</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ad9df6c18f56840e29195a7423dcf095"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::notifyRemoved" ref="ad9df6c18f56840e29195a7423dcf095" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ProgressiveMesh::PMTriangle::notifyRemoved           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="e1ae521198beb805fa9e29135898c9f7"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::vertex" ref="e1ae521198beb805fa9e29135898c9f7" args="[3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a>* <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#e1ae521198beb805fa9e29135898c9f7">Ogre::ProgressiveMesh::PMTriangle::vertex</a>[3]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00147">147</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2965fa7602c835772a2737c9fb5c5854"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::normal" ref="2965fa7602c835772a2737c9fb5c5854" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#2965fa7602c835772a2737c9fb5c5854">Ogre::ProgressiveMesh::PMTriangle::normal</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00148">148</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5213866374d631850c409eabcbd94fb3"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::removed" ref="5213866374d631850c409eabcbd94fb3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#5213866374d631850c409eabcbd94fb3">Ogre::ProgressiveMesh::PMTriangle::removed</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00149">149</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="03f366aaa28888aa806556d2bb44e33a"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::index" ref="03f366aaa28888aa806556d2bb44e33a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#03f366aaa28888aa806556d2bb44e33a">Ogre::ProgressiveMesh::PMTriangle::index</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00150">150</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:55 2008
</p>
</body>
</html>
